<?php
/**
 * English language file for the Treeview skin and the related Hierarchy
 * extension for MediaWiki.
 *
 * (These two lines should not be translated)
 * $Date: 2008/06/30 04:26:18 $
 * $Revision: 1.11 $
 */

global $wgMessageCache;

$wgMessageCache->addMessages(array(
	# The translatable title displayed for the Hierarchy extension in the
	# Special:Specialpages list.
	'hierarchy'		=> 'Hierarchy',

	# Tooltip messages (i.e. html "title" attributes)
	'tv_tt_primaryalias'	=>
'The article\'s primary alias is that through which its content is stored and '.
'discussed',
	'tv_tt_logged_in'	=> 'logged in',
	'tv_tt_not_logged_in'	=> 'not logged in',
	'tv_tt_helplink'	=>
'A brief description of the treeview\'s options and functionality',
	'tv_tt_leafnode'	=> 'leaf node',
	'tv_tt_collapsenode'	=> 'collapse node',
	'tv_tt_expandnode'	=> 'expand node',

	# Titles and tooltip messages for nodes in the default configuration
	# mnemonics:
	# tv_nsp => 'TreeView Node SPecifier'
	# tv_ntt  => 'TreeView Node ToolTip'
	## The 'Accounts' tree
	'tv_nsp_accounts'	=> '[[Special:Listusers|Accounts]]',
	'tv_ntt_users'		=>
		'Node: Special:Listusers; branch: login/logged-in pages',
	'tv_nsp_logincreate'	=> '[[Special:Userlogin|Login/create account]]',
	'tv_ntt_personal'	=>
'Node: User:{{USERNAME}}; branch: preferences and account-related pages',
	'tv_ntt_logincreate'	=>
		'Node: Special:Userlogin; branch: pages for IP {{USERNAME}}',
	'tv_nsp_accountpage'	=> '[[User:{{USERNAME}}|{{USERNAME}}]]',
	'tv_nsp_accounttalk'	=> '[[User_talk:{{USERNAME}}|Talk page]]',
	'tv_nsp_iptalk'		=>
		'[[User_talk:{{USERNAME}}|Talk page for {{USERNAME}}]]',
	'tv_nsp_prefs'		=> '[[Special:Preferences|Preferences]]',
	'tv_nsp_watchlist'	=> '[[Special:Watchlist|Watchlist]]',
	'tv_nsp_contribs'	=>
		'[[Special:Contributions/{{USERNAME}}|Contributions]]',
	'tv_nsp_ipcontribs'	=>
'[[Special:Contributions/{{USERNAME}}|Contributions for {{USERNAME}}]]',
	'tv_nsp_vieweduserpage'	=>
		'[[User:{{USERPAGEUSERNAME}}|{{USERPAGEUSERNAME}}]]',
	'tv_nsp_logout'		=> '[[Special:Userlogout|Logout]]',
	'tv_nsp_viewedusertalk'	=>
		'[[User_talk:{{USERPAGEUSERNAME}}|Talk page]]',
	'tv_nsp_viewedusercontribs'
				=>
		'[[Special:Contributions/{{USERPAGEUSERNAME}}|Contributions]]',
	'tv_nsp_vieweduseremail'=>
'[[Special:Emailuser/{{USERPAGEUSERNAME}}|Email {{USERPAGEUSERNAME}}]]',
	'tv_ntt_vieweduser'	=>
'Node: User:{{USERPAGEUSERNAME}}; branch: {{USERPAGEUSERNAME}}-related pages',
	## 'This article' branch...
	'tv_nsp_thisartredir'	=>
		'[[{{ARTICLEPAGENAME}}|This article (primary)]]',
	'tv_ntt_thisartredir'	=>
'Node: {{ARTICLEPAGENAME}} (primary, not the alias that accessed it); branch: '.
'actions/information on this article, its alias and its discussion.',
	'tv_nsp_thisarticle'	=> '[[{{ARTICLEPAGENAME}}|This article]]',
	'tv_ntt_thisarticle'	=>
'Node: {{ARTICLEPAGENAME}}; branch: actions/information on this article and '.
'its discussion',
	'tv_nsp_editarticle'	=> '[[{{ARTICLEPAGENAME}}|Edit article]]',
	'tv_ntt_editarticle'	=>
'Edit the current revision of the article: {{ARTICLEPAGENAME}}',
	'tv_nsp_editarticlerev'	=>
		'[[{{ARTICLEPAGENAME}}|Edit article revision #{{REVISIONID}}]]',
	'tv_ntt_editarticlerev'	=>
'Edit revision #{{REVISIONID}} (currently being viewed) of {{ARTICLEPAGENAME}}',
	'tv_nsp_viewarticle'	=>
		'[[{{ARTICLEPAGENAME}}|View article source]]',
	'tv_ntt_viewarticle'	=>
'View (edit not permitted) the wiki-text of the current revision of the '.
'ARTICLE: {{ARTICLEPAGENAME}}',
	'tv_nsp_viewarticlerev'	=>
'[[{{ARTICLEPAGENAME}}|View source of revision #{{REVISIONID}}]]',
	'tv_ntt_viewarticlerev'	=>
'View (edit not permitted) the wiki-text of revision #{{REVISIONID}} '.
'(currently viewed) of: {{ARTICLEPAGENAME}}',
	'tv_nsp_articlewatch'	=> '[[{{ARTICLEPAGENAME}}|Watch]]',
	'tv_ntt_articlewatch'	=>
'Add to your watchlist the article (+ talk page): {{ARTICLEPAGENAME}}',
	'tv_nsp_articleunwatch'	=> '[[{{ARTICLEPAGENAME}}|Unwatch]]',
	'tv_ntt_articleunwatch'	=>
'Remove from your watchlist the article (+ talk page): {{ARTICLEPAGENAME}}',
	'tv_nsp_articlehist'	=> '[[{{ARTICLEPAGENAME}}|Article history]]',
	'tv_ntt_articlehist'	=>
		'View the edit history of the article: {{ARTICLEPAGENAME}}',
	'tv_nsp_arthistredir'	=>
		'[[{{ARTICLEPAGENAME_PREDIR}}|Article history (alias)]]',
	'tv_ntt_arthistredir'	=>
'View the edit history of this article\'s alias: {{ARTICLEPAGENAME_PREDIR}}',
	'tv_nsp_articleprint'	=> '[[{{ARTICLEPAGENAME}}|Printable version]]',
	'tv_ntt_articleprint'	=>
'View in print-friendly format the article: {{ARTICLEPAGENAME}}',
	'tv_nsp_artprintredir'	=>
'[[{{ARTICLEPAGENAME_PREDIR}}|Printable version (alias)]]',
	'tv_ntt_artprintredir'	=>
'View in print-friendly format the article under its currently viewed alias: '.
'{{ARTICLEPAGENAME_PREDIR}}',
	'tv_nsp_articlemove'	=>
		'[[Special:Movepage/{{ARTICLEPAGENAME}}|Move]]',
	'tv_ntt_articlemove'	=>
'Move to another title the article currently titled: {{ARTICLEPAGENAME}}',
	'tv_nsp_artmoveredir'	=>
		'[[Special:Movepage/{{ARTICLEPAGENAME_PREDIR}}|Move (alias)]]',
	'tv_ntt_artmoveredir'	=>
'Move to another title the existing alias (redirect): '.
'{{ARTICLEPAGENAME_PREDIR}}',
	'tv_nsp_articledel'	=> '[[{{ARTICLEPAGENAME}}|Delete]]',
	'tv_ntt_articledel'	=>
		'Delete the article: {{ARTICLEPAGENAME}}',
	'tv_nsp_artdelredir'	=>
		'[[{{ARTICLEPAGENAME_PREDIR}}|Delete (alias)]]',
	'tv_ntt_artdelredir'	=>
'Delete the viewed alias to this article: {{ARTICLEPAGENAME_PREDIR}}',
	'tv_ntt_articleundel'	=>
		'Undelete the article: {{TALKPAGENAME}}',
	'tv_nsp_articleundel'	=>
		'[[Special:Undelete/{{ARTICLEPAGENAME}}|Undelete]]',
	'tv_nsp_articleunprot'	=> '[[{{ARTICLEPAGENAME}}|Unprotect]]',
	'tv_ntt_articleunprot'	=>
'Un-limit edit/move permissions for the article: {{TALKPAGENAME}}',
	'tv_nsp_articleprot'	=> '[[{{ARTICLEPAGENAME}}|Protect]]',
	'tv_ntt_articleprot'	=>
'Limit edit/move permissions for the article: {{TALKPAGENAME}}',
	'tv_nsp_articlepurge'	=> '[[{{ARTICLEPAGENAME}}|Purge cache]]',
	'tv_ntt_articlepurge'	=>
'Purge the viewed page\'s cache to retrieve latest rendering (NOT necessary '.
'ordinarily) of: {{ARTICLEPAGENAME}}',
	'tv_nsp_artpurgeredir'	=>
		'[[{{ARTICLEPAGENAME}}|Purge cache (primary)]]',
	'tv_ntt_artpurgeredir'	=>
'Purge the cache of this page\'s primary alias to retrieve the latest '.
'rendering (NOT necessary ordinarily) of: {{ARTICLEPAGENAME}}',
	'tv_nsp_articlelinks'	=>
		'[[Special:Whatlinkshere/{{ARTICLEPAGENAME}}|What links here]]',
	'tv_ntt_articlelinks'	=>
'View the list of pages that link to the article: {{ARTICLEPAGENAME}}',
	'tv_nsp_artlinksredir'	=>
'[[Special:Whatlinkshere/{{ARTICLEPAGENAME_PREDIR}}|What links here (alias)]]',
	'tv_ntt_artlinksredir'	=>
'View the list of pages that link to the article under its alias: '.
'{{ARTICLEPAGENAME_PREDIR}}',
	'tv_nsp_articlerelchgs'	=>
'[[Special:Recentchangeslinked/{{ARTICLEPAGENAME}}|Related changes]]',
	'tv_ntt_articlerelchgs'	=>
'View the recent changes of pages that link to the article: '.
'{{ARTICLEPAGENAME}}',
	'tv_nsp_artrelchgsredir'=>
'[[Special:Recentchangeslinked/{{ARTICLEPAGENAME_PREDIR}}|Related changes '.
'(alias)]]',
	'tv_ntt_artrelchgsredir'=>
'View the recent changes of pages that link to the article through its alias: '.
'{{ARTICLEPAGENAME_PREDIR}}',
	'tv_nsp_articlecredits'	=> '[[{{ARTICLEPAGENAME}}|Credits]]',
	'tv_ntt_articlecredits'	=>
		'View the credits for the article: {{ARTICLEPAGENAME}}',
	## ...and the 'Discussion' sub-branch with (mostly) corresponding
	## entries
	'tv_ntt_thistalkredir'	=>
'Node: {{TALKPAGENAME}} (primary, not the alias that accessed it); branch: '.
'actions/information on this article\'s discussion, through its primary alias '.
'- not the alias through which it was accessed.',
	'tv_nsp_thistalkredir'	=>
		'[[{{TALKPAGENAME}}|Discussion (of primary)]]',
	'tv_nsp_thistalk'	=> '[[{{TALKPAGENAME}}|Discussion]]',
	'tv_ntt_thistalk'	=>
'Node: {{TALKPAGENAME}}; branch: actions/information on this article\'s '.
'discussion',
	'tv_nsp_edittalk'	=> '[[{{TALKPAGENAME}}|Edit discussion]]',
	'tv_ntt_edittalk'	=>
'Edit the current revision of the discussion page: {{TALKPAGENAME}}',
	'tv_nsp_edittalkrev'	=>
		'[[{{TALKPAGENAME}}|Edit discussion revision #{{REVISIONID}}]]',
	'tv_ntt_edittalkrev'	=>
'Edit revision #{{REVISIONID}} (currently being viewed) of {{TALKPAGENAME}}',
	'tv_nsp_viewtalk'	=>
		'[[{{TALKPAGENAME}}|View discussion source]]',
	'tv_ntt_viewtalk'	=>
'View (edit not permitted) the wiki-text of the current revision of the '.
'DISCUSSION page: {{TALKPAGENAME}}',
	'tv_nsp_viewtalkrev'	=>
		'[[{{TALKPAGENAME}}|View source of revision #{{REVISIONID}}]]',
	'tv_ntt_viewtalkrev'	=>
'View (edit not permitted) the wiki-text of revision #{{REVISIONID}} '.
'(currently viewed) of: {{TALKPAGENAME}}',
	'tv_nsp_talkmove'	=> '[[Special:Movepage/{{TALKPAGENAME}}|Move]]',
	'tv_ntt_talkmove'	=>
'Move to another title the discussion page currently titled: {{TALKPAGENAME}}',
	'tv_nsp_talkhist'	=> '[[{{TALKPAGENAME}}|Discussion history]]',
	'tv_ntt_talkhist'	=>
'View the edit history of the discussion page: {{TALKPAGENAME}}',
	'tv_nsp_talkhistredir'	=>
'[[{{TALKPAGENAME_PREDIR}}|Discussion history (alias)]]',
	'tv_ntt_talkhistredir'	=>
'View the edit history of the discussion page alias: {{TALKPAGENAME_PREDIR}}',
	'tv_nsp_talkprint'	=> '[[{{TALKPAGENAME}}|Printable version]]',
	'tv_ntt_talkprint'	=>
'View in print-friendly format the discussion page: {{TALKPAGENAME}}',
	'tv_nsp_talkprintredir'	=>
		'[[{{TALKPAGENAME_PREDIR}}|Printable version (alias)]]',
	'tv_ntt_talkprintredir'	=>
'View in print-friendly format the discussion page alias: '.
'{{TALKPAGENAME_PREDIR}}',
	'tv_nsp_talkdel'	=> '[[{{TALKPAGENAME}}|Delete]]',
	'tv_ntt_talkdel'	=>
		'Delete the discussion page: {{TALKPAGENAME}}',
	'tv_nsp_talkdelredir'	=>
		'[[Special:Undelete/{{TALKPAGENAME_PREDIR}}|Undelete]]',
	'tv_ntt_talkdelredir'	=>
		'Delete the discussion page alias: {{TALKPAGENAME}}',
	'tv_nsp_talkundel'	=>
		'[[Special:Undelete/{{TALKPAGENAME}}|Undelete]]',
	'tv_ntt_talkundel'	=>
		'Undelete the discussion page: {{TALKPAGENAME}}',
	'tv_nsp_talkunprot'	=> '[[{{TALKPAGENAME}}|Unprotect]]',
	'tv_ntt_talkunprot'	=>
'Un-limit edit/move permissions for the discussion page: {{TALKPAGENAME}}',
	'tv_nsp_talkprot'	=> '[[{{TALKPAGENAME}}|Protect]]',
	'tv_ntt_talkprot'	=>
'Limit edit/move permissions for the discussion page: {{TALKPAGENAME}}',
	'tv_nsp_talkpurge'	=> '[[{{TALKPAGENAME}}|Purge cache]]',
	'tv_nsp_talkpurgeredir'	=> '[[{{TALKPAGENAME}}|Purge cache (primary)]]',
	'tv_ntt_talkpurge'	=>
'Ensure that the latest rendering is being viewed by purging the cache (NOT '.
'necessary in ordinary circumstances) of the discussion page: {{TALKPAGENAME}}',
	'tv_ntt_talkpurgeredir'	=>
'Purge the cache of the discussion page\'s primary alias to retrieve the '.
'latest rendering (NOT necessary ordinarily) of: {{TALKPAGENAME}}',
	'tv_nsp_talklinks'	=>
		'[[Special:Whatlinkshere/{{TALKPAGENAME}}|What links here]]',
	'tv_ntt_talklinks'	=>
'View the list of pages that link to the discussion page: {{TALKPAGENAME}}',
	'tv_nsp_talklinksredir'	=>
'[[Special:Whatlinkshere/{{TALKPAGENAME_PREDIR}}|What links here (alias)]]',
	'tv_ntt_talklinksredir'	=>
'View the list of pages that link to the discussion page alias: '.
'{{TALKPAGENAME_PREDIR}}',
	'tv_nsp_talkrelchgs'	=>
'[[Special:Recentchangeslinked/{{TALKPAGENAME}}|Related changes]]',
	'tv_ntt_talkrelchgs'	=>
'View the recent changes of pages that link to the discussion page: '.
'{{TALKPAGENAME}}',
	'tv_nsp_talkrelchgsredir'	=>
'[[Special:Recentchangeslinked/{{TALKPAGENAME_PREDIR}}|Related changes '.
'(alias)]]',
	'tv_ntt_talkrelchgsredir'	=>
'View the recent changes of pages that link to the discussion page alias: '.
'{{TALKPAGENAME_PREDIR}}',
	'tv_nsp_talkcredits'	=> '[[{{TALKPAGENAME}}|Credits]]',
	'tv_ntt_talkcredits'	=>
		'View the credits for the discussion page: {{TALKPAGENAME}}',
	## Other nodes and their children
	'tv_nsp_help'		=> '[[Help:Contents|Help]]',
	'tv_nsp_helpimport'	=> '[[Help]]',
	'tv_ntt_help'		=>
		'Node: Help:Contents; branch: other help pages for this wiki',
	'tv_nsp_helpcontentspr'	=> '[[[Contents]]]',
	'tv_nsp_project'	=> '[[Project:About|Project]]',
	'tv_ntt_project'	=>
		'Node: Project:About; branch: meta-pages for this wiki',
	'tv_nsp_projectimport'	=> '[[Project]]',
	'tv_nsp_projectaboutpr'	=> '[[[About]]]',
	'tv_nsp_special'	=> '[[Special:Specialpages|Special]]',
	'tv_ntt_special'	=>
		'Node: Special:Specialpages; branch: common tools',
	'tv_nsp_commontools'	=> '[[ |Common]]',
	'tv_nsp_recentchanges'	=> '[[Special:Recentchanges|Recent changes]]',
	'tv_nsp_randompage'	=> '[[Special:Random|Random page]]',
	'tv_nsp_uploadfile'	=> '[[Special:Upload|Upload file]]',

	# Text-mode treeview icons (i.e. html "alt" image attribute)
	'tv_txtleafimg'		=> '[o]',
	'tv_txtcollapseimg'	=> '[-]',
	'tv_txtexpandimg'	=> '[+]',

	# These appear in square brackets in small text after the page title
	'tv_primary'		=> 'primary',
	'tv_aliased'		=> 'aliased',

	# Introductory prefixes for the lists that follow the main page title
	'tv_aliases'		=> 'aliases',
	'tv_closely_related'	=> 'closely related',

	# Misc (for future use)
	'site_copyright'	=> '&nbsp;',

	# The text of the action tabs on the treeview configuration page, also
	# used as heading text for the corresponding action page.  Long
	# descriptions are for Special:Hierarchy. Tooltips are in 'Treeview.js'.
	'tv_parsetreeview'	=> 'Parse configuration',
	'tv_rebuildtreeview'	=> 'Rebuild treeview',
	'tv_treeviewcachestatus'=> 'Cache status',
	'tv_parsetreeview_desc' =>
'View the result of parsing the treeview configuration.  The displayed warnings
and error messages can help diagnose a display problem with the treeview.  This
does not rebuild the treeview itself or directly affect the cached treeview.
Only accessible to those with the "parsetreeview" right.',
	'tv_rebuildtreeview_desc'
				=>
'Fully rebuild and re-cache the treeview.  The result is reported along with
the parse and cache diagnostics of the other actions.  This action also
invalidates the client/file cache of all MediaWiki articles if client and/or
file caching is enabled.  There\'s ordinarily no reason to perform this rebuild
manually because it is triggered automatically on changes that affect the
treeview hierarchy.  Two reasons are when the value of
<code>$wgHierarchyPage</code> is changed, or, if the default configuration is
being used without change, when a new and updated version of the Hierarchy is
installed.  Only accessible to those with the "rebuildtreeview" right.',
	'tv_treeviewcachestatus_desc'
				=>
'View the treeview cache status and any diagnosed problems (the treeview was
designed for best operation with a functional cache).  Only accessible to those
with the "treeviewcachestatus" right.',

	# Messages for the rebuildtreeview, parsetreeview and
	# treeviewcachestatus actions.
	'tv_content'		=> 'Configuration text',
	'tv_rebuildsucc_hdr'	=> 'Successful treeview rebuild',
	'tv_rebuildsucc'	=>
'Success: rebuilt the treeview, saved it to cache, and then retrieved it back
from the cache.',
	'tv_rebuildmiss_hdr'	=> 'Unsuccessful treeview rebuild',
	'tv_rebuildmiss'	=>
		'Rebuilt the treeview, but could not cache it.',
	'tv_cachestatpre_hdr'	=> 'Cache retrieval result before rebuild-save',
	'tv_cachestatus_hdr'	=> 'Cache retrieval result',
	'tv_cachestatpost_hdr'	=> 'Cache retrieval result after rebuild-save',
	'tv_nocache_hdr'	=>
		'Warning: treeview caching seems non-functional',
	'tv_nocache'		=>
'Treeview caching seems to be non-functional: there was no cache hit and the
main cache manager seems to be missing i.e. <code>$wgMainCacheType</code> is set
to <code>CACHE_NONE</code>.  MediaWiki has some documentation on setting up a
main cache manager, two starting points are includes/DefaultSettings.php and
includes/Defines.php.',
	'tv_cachehit'		=>
'Cache hit: a usable hierarchy structure was found with creation timestamp $1.',
	'tv_unusablecachehit'	=>
'Unusable cache hit: a hierarchy structure was found in the cache but it '.
'would have been unusable due to age or version.',
	'tv_cachemiss'		=>
'Cache miss: no entry was returned for the hierarchy structure\'s cache key.',
	'tv_err_actionforconf'	=>
'The "$1" action is only valid on the Treeview/Hierarchy configuration page
(or its stand-in, which applies when the default configuration message is in
use and database messages are disabled).  That page/stand-in is: $2.',
	# This message is inserted as $2 in tv_err_actionforconf above
	'tv_invalid'		=> '<invalid>',
	'tv_standin_hdr'	=> 'Warning: stand-in page',
	'tv_confpg'		=> 'Configuration page: $1',
	'tv_confpg_desc'	=>
'The page from which the Hierarchy/Treeview is being generated.',
	'tv_standinconfpg'	=> 'Stand-in configuration page: $1',
	'tv_standinconfpg_desc'	=> # Used in two separate places.
'This is a stand-in page for the Hierarchy/Treeview configuration page.  The
Treeview/Hierarchy configuration is not actually being sourced from this page;
edits to this page will not affect the Treeview\'s configuration.  Instead, the
default configuration text, as displayed under "Configuration text" when
parsing, rebuilding or viewing the cache status of the Treeview, is being used.
This is because <code>$wgUseDatabaseMessages</code> is false and
<code>$wgHierarchyPage</code> is unset, as explained by the latter variable\'s
entry under "Variables and settings" in README.Treeview.',

	# Parse errors and warnings for the Treeview config page
	# mnemonics: pe => Parse Error
	'tv_parseerrintro'	=>
		'Configuration parse error(s) and/or warning(s)',
	'tv_noproblems'		=> 'No errors or warnings.',
	'tv_parseerrmsg'	=>
		'Line $1: ERROR: $2; effective line being parsed is/was: $3 $4',
	'tv_parsewarnmsg'	=>
'Line $1: WARNING: $2; effective line being parsed is/was: $3 $4',
	'tv_pe_implicitnodedir'	=>
'unknown directive "$1": assuming an implicit "NODE" directive and reparsing '.
'this text (as originally capitalised)',
	'tv_non-existent'	=> '[non-existent]',
	'tv_pe_repeatedid'	=>
'the specified node id "$1" was already specified by the directive on line $2 '.
'- unsetting it for later auto-generation',
	'tv_pe_replmsg'		=>
		'(after replacing key "$1" with its message "$2") ',
	'tv_pe_bad1stspecchar'	=>
'found "$1" as the first non-whitespace character of the specifier: '.
'expected "[" or ","',
	'tv_pe_toomanystbr'	=>
'found $1 starting "[" characters for the specifier: expected at most "$2"',
	'tv_pe_unclosedbr'	=> 'unclosed "[" in the specifier',
	'tv_pe_nonmatchbrcnts'	=>
'found $1 opening "["s and $2 closing "]"s in the specifier: expected an '.
'equal count for both',
	'tv_pe_badobrcntrange'	=>
'found $1 "["s at the start of the second subcontext of a range: expected to '.
'find 3 of those characters',
	'tv_pe_unclosedrgbr'	=>
'a closing ]]] to match the opening [[[ of the second subcontext of the range '.
'was not found',
	'tv_pe_proto'		=>
'protocol of external url is not in the allowed list ($wgUrlProtocols): "$1"',
	/* Not in active use. */
	'tv_pe_unclosedparen'	=> 'unclosed open parenthesis',
	'tv_pe_unknowncond'	=> 'unknown condition: "$1"',
	/* Not in active use. */
	'tv_pe_noparam'		=> 'parameter missing for condition "$1"',
	'tv_pe_unclparen'	=> /* Not in active use. */
		'missing closing parenthesis for condition "$1"',
	'tv_pe_specerr'		=>
'(ignoring entire directive) encountered whilst parsing specifier: $1',
	'tv_pe_dirconderr'	=>
		'encountered whilst parsing the condition following "$1": $2',
	# The next two are closely related
	'tv_pe_scnotinimport'	=>
'found (and ignored) $1 that is not contained by a preceding IMPORT/GRAFT '.
'directive: "$2" ($3)',
	'tv_pe_scasfullnddesc'	=>
'found (and ignored) $1 that is a direct child of a title- or url-NODE '.
'directive (this is a nonsensical positioning)',
	# "NODE", "PRUNE" and "BLOCK" are the literal directives and should not
	# be translated; these messages are inserted as $1 in
	# tv_pe_scnotinimport and tv_pe_scasfullnddesc above.
	'tv_scnode'		=> 'a subcontext-NODE directive',
	'tv_scprune'		=> 'a PRUNE directive',
	'tv_block'		=> 'a BLOCK directive',
	'tv_pruneorscnode'	=> 'a PRUNE or subcontext-NODE directive',
	'tv_pe_misplimport'	=>
'encountered an IMPORT directive for title "$1" whose parent is not a title- '.
'or url-NODE (parent has effective type "$2")',
	'tv_pe_missingdepths'	=>
'(ignoring directive) one or more depths were skipped between "$1" ($2) at '.
'effective depth $3 and the immediately prior directive at effective depth '.
'$4',
	'tv_pe_nosuchdir'	=> 'no such directive: "$1"',
	'tv_pe_dirspecmismatch'	=> 'directive/specifier mismatch ($1/$2)',
	'tv_pe_condnotallowed'	=> 'conditions not supported for $1 directives',
	'tv_pe_parameters'	=> 'encountered whilst parsing parameters: $1',
	'tv_pe_invalidparam'	=>
'invalid parameter for node type "$1"; parameter and remainder of line not '.
'processed: "$2"',
	'tv_pe_nosplit'		=> 'did not find the expected "$1" after "$2"',
	'tv_pe_iconsmalfm'	=>
'the component of the "icons" parameter that follows the "=" is malformed and '.
'could not be parsed: that component and the remainder of the line was '.
'ignored: $1',
	'tv_pe_nostartqt'	=>
'missing: the mandatory opening quote character ($1) for the "$2" parameter',
	'tv_pe_unclosedqt'	=>
'missing: terminating quote character ($1) for the "$2" parameter',
	'tv_pe_unclosedqt_cond'	=>
'missing: terminating quote character ($1) for the parameter of the "$2" '.
'condition',
	'tv_pe_unqtpreenddelim'	=>
'extra unquoted text follows quoted text for the parameter of the "$1" '.
'condition: quoted text is "$2"; unquoted text is "$3"',
	'tv_pe_warnwsmiss'	=>
		'warning: no whitespace follows the "$1" parameter',
	'tv_pe_warnnowsopparen'	=>
'warning: neither whitespace nor an opening parenthesis follows the "$1" '.
'parameter',
	'tv_pe_nocondparamend'	=>
'end delimiter missing for parameter of condition "$1"; wanted (one of) the '.
'character(s): $2',
	'tv_pe_nocondparamst'	=>
'start delimiter missing for parameter of condition "$1"; wanted (one of) the '.
'character(s): $2',
	'tv_pe_nocondend'	=> 'end delimiter missing; wanted: $1',

	# The keyboard/display characters
	'tv_key_space'	=> 'space',
	'tv_key_tab'	=> 'tab',

	# Misc error/warning messages
	'tv_inaccessibletouch'	=>
'$1: Unable to retrieve the timestamp from the file specified by '.
'$wgCacheEpochTouchFile, nor to touch() it to set its timestamp / create it.  '.
'It is currently set to "$2".  Please either set it to the name of a file '.
'that the webserver has permission to change the modification timestamp of or '.
'turn off both file and client caching by setting false the respective '.
'variables $wgUseFileCache and $wgCachePages.',
	'tv_untouchable'	=>
'$1: Unable to set the timestamp of $wgCacheEpochTouchFile by touch()ing it ('.
'a Hierarchy/Treeview diagnostic - consult the notes for details).',
	'tv_invconfpg'	=>
'There is no valid source for the Treeview/Hierarchy configuration.
<code>$wgHierarchyPage</code> is set to "$1".  This is invalid either because it
refers to an article in one of the Special or Image namespaces or because it
was found to be objectionable by MediaWiki\'s Title object.  The
README.Treeview file describes the <code>$wgHierarchyPage</code> setting.',
	'tv_diagnoseempty'	=> 'Diagnose empty or invalid hierarchy',

	# Configuration article - the translatable parts are the introductory
	# text, the text denoting the NS_MEDIAWIKI namespace ("MediaWiki") in
	# the [[MediaWiki:Treeview]] link and the text denoting the NS_IMAGE
	# namespace ("Image") in icons= parameters.  Namespace translations
	# should match the corresponding value of the NamespaceNames<langCode>
	# array as set in MediaWiki's languages/Language<langCode>.php file.
	# Currently for icons= parameters the Treeview parser ignores the text
	# and assumes that the namespace corresponds to NS_IMAGE, so
	# translating those strings is not a priority.
	'treeview'		=>
"This is the default configuration page for the Treeview skin.
Its location can be adjusted by the site administrator through the
\$wgHierarchyPage setting: by default it is searched for at
[[MediaWiki:Treeview]].

It defines the contents and default expanded state of the treeview shown in the
left column when the Treeview skin is in effect, as well as
underscore-remappings for article titles.

Its syntax notes in skins/treeview/help_articles/Help.Treeview_skin.Syntax.wiki
can be imported as [[Help:Treeview_skin:Syntax]].  Installation and general
notes are in skins/README.Treeview.

== Hierarchy ==
<!-- the enclosing pre tags can be removed to have MediaWiki also parse this
config as wiki-text and display it with nicer formatting - the syntax has been
designed to look tidy as parsed wiki-text with one caveat: if {{}}-style
variables are not supported by your MediaWiki version and you use them in the
config then they'll appear misleadingly as red Template links even though the
Treeview parser knows how to handle them. The div tag is non-essential but
improves the indentation of numbered list items w.r.t. unordered list items. -->
<div class=\"tvconfig\">
<pre>
* tv_nsp_accounts NODE icons=[[Image:users.png]],[[Image:users_plus.png]],[[Image:users_minus.png]] tooltip=tv_ntt_users nodeid=accounts
*# tv_nsp_logincreate NODE(ifnotloggedin) icons=[[Image:greendoor.png]] tooltip=tv_ntt_logincreate nodeid=acc
*# tv_nsp_accountpage NODE icons=[[Image:user.png]],[[Image:user_plus.png]],[[Image:user_minus.png]] tooltip=tv_ntt_personal
*## tv_nsp_accounttalk NODE(ifloggedin) icons=[[Image:user_talk.png]]
*## tv_nsp_iptalk NODE icons=[[Image:user_talk.png]]
*#* tv_nsp_prefs NODE(ifloggedin) icons=[[Image:spanner.png]]
*#* tv_nsp_watchlist NODE(ifloggedin) icons=[[Image:eyes.png]]
*## tv_nsp_contribs NODE(ifloggedin) icons=[[Image:pages.png]]
*## tv_nsp_ipcontribs NODE icons=[[Image:pages.png]]
*#* tv_nsp_logout NODE(ifloggedin) icons=[[Image:brokensocket.png]]
** tv_nsp_vieweduserpage NODE(ifisforeignuserpage) expanded icons=[[Image:user.png]],[[Image:user_plus.png]],[[Image:user_minus.png]] tooltip=tv_ntt_vieweduser
*** tv_nsp_viewedusertalk NODE(ifisforeignuserpage) icons=[[Image:user_talk.png]]
*** tv_nsp_viewedusercontribs NODE(ifisforeignuserpage) icons=[[Image:pages.png]]
*** tv_nsp_vieweduseremail NODE(ifisforeignuserpage ifloggedin ifisemailableuserpage) icons=[[Image:envelope_monobook-based.png]]
# tv_nsp_thisartredir NODE(ifnotisspecialpage ifredirected) selected(never) nomatch icons=[[Image:page.png]],[[Image:page_plus.png]],[[Image:page_minus.png]] tooltip=tv_ntt_thisartredir nodeid=artroot
# tv_nsp_thisarticle NODE(ifnotisspecialpage) selected(never) nomatch icons=[[Image:page.png]],[[Image:page_plus.png]],[[Image:page_minus.png]] tooltip=tv_ntt_thisarticle nodeid=artroot
#* tv_nsp_editarticle NODE(ifisarticlepage ifhasright(edit)) urlextra?action=edit knownlink icons=[[Image:pencil.png]] selected(iftitlematches ifurlcontainsextra ifnoturlquerycontains?oldid={{REVISIONID}}) tooltip=tv_ntt_editarticle
#* tv_nsp_editarticlerev NODE(ifisarticlepage ifviewingoldarticlepage ifhasright(edit)) urlextra?action=edit&oldid={{REVISIONID}} icons=[[Image:pencilold.png]] selected(iftitlematches ifurlcontainsextra) tooltip=tv_ntt_editarticlerev
#* tv_nsp_viewarticle NODE(ifarticlepageexists ifnothasright(edit)) urlextra?action=edit icons=[[Image:magnifying_glass.png]] selected(iftitlematches ifurlcontainsextra ifnoturlquerycontains?oldid={{REVISIONID}}) tooltip=tv_ntt_viewarticle
#* tv_nsp_viewarticlerev NODE(ifarticlepageexists ifviewingoldarticlepage ifnothasright(edit)) urlextra?action=edit&oldid={{REVISIONID}} icons=[[Image:magnifying_glass_old.png]] selected(iftitlematches ifurlcontainsextra) tooltip=tv_ntt_viewarticlerev
#* tv_nsp_articlehist NODE(ifarticlepageexists) urlextra?action=history icons=[[Image:scroll.png]] tooltip=tv_ntt_articlehist
#* tv_nsp_arthistredir NODE(ifredirected ifisarticlepage_predir) urlextra?action=history icons=[[Image:scroll.png]] tooltip=tv_ntt_arthistredir
#* tv_nsp_articlewatch NODE(ifnotisspecialpage ifloggedin ifnotwatchingpage) urlextra?action=watch knownlink icons=[[Image:eyes.png]] tooltip=tv_ntt_articlewatch
#* tv_nsp_articleunwatch NODE(ifnotisspecialpage ifloggedin ifwatchingpage) urlextra?action=unwatch knownlink icons=[[Image:crosseyes.png]] tooltip=tv_ntt_articleunwatch
#* tv_nsp_articleprint NODE(ifarticlepageexists) urlextra?printable=yes icons=[[Image:printer.png]] tooltip=tv_ntt_articleprint
#* tv_nsp_artprintredir NODE(ifredirected ifarticlepageexists_predir) urlextra?printable=yes icons=[[Image:printer.png]] tooltip=tv_ntt_artprintredir
#* tv_nsp_articlemove NODE(ifarticlepageexists ifhasright(move)) icons=[[Image:move.png]] tooltip=tv_ntt_articlemove
#* tv_nsp_artmoveredir NODE(ifredirected ifisarticlepage_predir ifhasright(move)) icons=[[Image:move.png]] tooltip=tv_ntt_artmoveredir
#* tv_nsp_articledel NODE(ifarticlepageexists ifnotarticlepageisdeleted ifhasright(delete)) urlextra?action=delete icons=[[Image:trash.png]] tooltip=tv_ntt_articledel
#* tv_nsp_artdelredir NODE(ifredirected ifisarticlepage_predir ifnotpageisdeleted_predir ifhasright(delete)) urlextra?action=delete icons=[[Image:trash.png]] tooltip=tv_ntt_artdelredir
#* tv_nsp_articleundel NODE(ifnotisspecialpage ifarticlepageisdeleted ifhasright(delete)) icons=[[Image:untrash.png]] tooltip=tv_ntt_articleundel
#* tv_nsp_articleunprot NODE(ifarticlepageexists ifarticlepageisprotected ifhasright(protect)) urlextra?action=unprotect tooltip=tv_ntt_articleunprot
#* tv_nsp_articleprot NODE(ifarticlepageexists ifnotarticlepageisprotected ifhasright(protect)) urlextra?action=protect tooltip=tv_ntt_articleprot
## tv_nsp_artpurgeredir NODE(ifredirected ifarticlepageexists) urlextra?action=purge tooltip=tv_ntt_artpurgeredir
## tv_nsp_articlepurge NODE(ifnotredirected ifarticlepageexists) urlextra?action=purge tooltip=tv_ntt_articlepurge
#* tv_nsp_articlelinks NODE(ifnotisspecialpage) tooltip=tv_ntt_articlelinks
#* tv_nsp_artlinksredir NODE(ifredirected ifisarticlepage_predir) tooltip=tv_ntt_artlinksredir
#* tv_nsp_articlerelchgs NODE(ifarticlepageexists) tooltip=tv_ntt_articlerelchgs
#* tv_nsp_artrelchgsredir NODE(ifredirected ifisarticlepage_predir) tooltip=tv_ntt_artrelchgsredir
#* tv_nsp_articlecredits NODE(ifarticlepageexists) urlextra?action=credits tooltip=tv_ntt_articlecredits
## tv_nsp_thistalkredir NODE(ifnotisspecialpage ifredirected) nomatch icons=[[Image:talk.png]],[[Image:talk_plus.png]],[[Image:talk_minus.png]] tooltip=tv_ntt_thistalkredir expanded nodeid=talkroot
## tv_nsp_thistalk NODE(ifnotisspecialpage) nomatch icons=[[Image:talk.png]],[[Image:talk_plus.png]],[[Image:talk_minus.png]] tooltip=tv_ntt_thistalk expanded
##* tv_nsp_edittalk NODE(ifnotisspecialpage ifhasright(edit)) urlextra?action=edit knownlink icons=[[Image:talk_pencil.png]] selected(iftitlematches ifurlcontainsextra ifnoturlquerycontains?oldid={{REVISIONID}}) tooltip=tv_ntt_edittalk
##* tv_nsp_edittalkrev NODE(ifistalkpage ifviewingoldtalkpage ifhasright(edit)) urlextra?action=edit&oldid={{REVISIONID}} icons=[[Image:pencilold.png]] selected(iftitlematches ifurlcontainsextra) tooltip=tv_ntt_edittalkrev
##* tv_nsp_viewtalk NODE(iftalkpageexists ifnothasright(edit)) urlextra?action=edit icons=[[Image:talk_magnifying_glass.png]] selected(iftitlematches ifurlcontainsextra ifnoturlquerycontains?oldid={{REVISIONID}}) tooltip=tv_ntt_viewtalk
##* tv_nsp_viewtalkrev NODE(iftalkpageexists ifviewingoldtalkpage ifnothasright(edit)) urlextra?action=edit&oldid={{REVISIONID}} icons=[[Image:talk_magnifying_glass_old.png]] selected(iftitlematches ifurlcontainsextra) tooltip=tv_ntt_viewtalkrev
##* tv_nsp_talkhist NODE(iftalkpageexists) urlextra?action=history icons=[[Image:talk_scroll.png]] tooltip=tv_ntt_talkhist
##* tv_nsp_talkhistredir NODE(ifredirected ifistalkpage_predir) urlextra?action=history icons=[[Image:scroll.png]] tooltip=tv_ntt_talkhistredir
##* tv_nsp_talkprint NODE(iftalkpageexists) urlextra?printable=yes icons=[[Image:talk_printer.png]] tooltip=tv_ntt_talkprint
##* tv_nsp_talkprintredir NODE(ifredirected ifistalkpage_predir) urlextra?printable=yes icons=[[Image:talk_printer.png]] tooltip=tv_ntt_talkprintredir
##* tv_nsp_talkmove NODE(iftalkpageexists ifhasright(move)) icons=[[Image:talk_move.png]] tooltip=tv_ntt_talkmove
##* tv_nsp_talkdel NODE(iftalkpageexists ifnottalkpageisdeleted ifhasright(delete)) urlextra?action=delete icons=[[Image:talk_trash.png]] tooltip=tv_ntt_talkdel
##* tv_nsp_talkdelredir NODE(ifredirected ifistalkpage_predir ifnottalkpageisdeleted ifhasright(delete)) urlextra?action=delete icons=[[Image:talk_trash.png]] tooltip=tv_ntt_talkdelredir
##* tv_nsp_talkundel NODE(ifnotisspecialpage iftalkpageisdeleted ifhasright(delete)) icons=[[Image:talk_untrash.png]] tooltip=tv_ntt_talkundel
##* tv_nsp_talkunprot NODE(iftalkpageexists iftalkpageisprotected ifhasright(protect)) urlextra?action=unprotect tooltip=tv_ntt_talkunprot
##* tv_nsp_talkprot NODE(iftalkpageexists ifnottalkpageisprotected ifhasright(protect)) urlextra?action=protect tooltip=tv_ntt_talkprot
### tv_nsp_talkpurgeredir NODE(ifredirected iftalkpageexists) urlextra?action=purge tooltip=tv_ntt_talkpurgeredir
### tv_nsp_talkpurge NODE(ifnotredirected iftalkpageexists) urlextra?action=purge tooltip=tv_ntt_talkpurge
##* tv_nsp_talklinks NODE(ifnotisspecialpage) tooltip=tv_ntt_talklinks
##* tv_nsp_talklinksredir NODE(ifredirected ifistalkpage_predir) tooltip=tv_ntt_talklinksredir
##* tv_nsp_talkrelchgs NODE(iftalkpageexists) tooltip=tv_ntt_talkrelchgs
##* tv_nsp_talkrelchgsredir NODE(ifredirected ifistalkpage_predir) tooltip=tv_ntt_talkrelchgsredir
##* tv_nsp_talkcredits NODE(iftalkpageexists) urlextra?action=credits tooltip=tv_ntt_talkcredits
* [[]] IMPORT pruneleafs
* tv_nsp_help NODE tooltip=tv_ntt_help
** tv_nsp_helpimport IMPORT
** tv_nsp_helpcontentspr PRUNE
* tv_nsp_project NODE tooltip=tv_ntt_project
** tv_nsp_projectimport IMPORT
** tv_nsp_projectaboutpr PRUNE
* tv_nsp_special NODE expanded tooltip=tv_ntt_special
** tv_nsp_commontools NODE expanded
*** tv_nsp_recentchanges NODE
*** tv_nsp_randompage NODE
*** tv_nsp_uploadfile NODE(ifhasright(upload))
</pre>
</div>

== Remap ==

Underscore remappings - those below are functional examples as used on clc-wiki.

*STDC|__STDC__
*STDC_VERSION|__STDC_VERSION__
*C language:Components: STDC VERSION|__STDC_VERSION__
*Planning:Voting extension:vote tables.sql|vote_tables.sql",

	# Treeview.js: mostly a copy of Monobook.js (tooltips and access keys
	# for Monobook) but with additional per-language tooltips possible for
	# the Treeview skin - skins/treeview/treeview.js documents what is
	# translatable and configurable.  As an example, to translate the
	# "Loading..." message into "Loading_as_written_in_your_language...",
	# the following code could be added below:
	# tv_msg = new Object();
	# tv_msg['loading'] = "Loading_as_written_in_your_language...";
	'treeview.js' => <<<END_JS
/* Treeview skin settings that are based in skins/treeview/treeview.js. */
/* English translations omitted - they are the defaults in the code in the
 * skins/treeview/treeview.js file.  For other languages, replace this comment
 * with the translated variable settings from that file: start from the
 * "ATTN TRANSLATORS" comment.  A complete example is in nl.php.
 */

/* Treeview skin settings that do not occur in skins/treeview/treeview.js. */
ta = new Object();
ta['ca-parsetreeview'  ] = new Array('' ,
  "View the treeview configuration parse diagnostics; no rebuild / cache save");
ta['ca-rebuildtreeview'] = new Array('' ,
  "Rebuild and cache the treeview; invalidates all client/file-cached pages");
ta['ca-treeviewcachestatus'] = new Array('',
  "View the treeview cache status; performs no cache action beyond retrieval");

/* Monobook skin's tooltips and access keys */
ta['pt-userpage'      ] = new Array('.', "My user page");
ta['pt-anonuserpage'  ] = new Array('.',
                                 "The user page for the ip you're editing as");
ta['pt-mytalk'        ] = new Array('n', "My talk page");
ta['pt-anontalk'      ] = new Array('n',
                                 "Discussion about edits from this ip address");
ta['pt-preferences'   ] = new Array('' , "My preferences");
ta['pt-watchlist'     ] = new Array('l',
                           "The list of pages you're monitoring for changes.");
ta['pt-mycontris'     ] = new Array('y', "List of my contributions");
ta['pt-login'         ] = new Array('o',
                  "You are encouraged to log in, it is not mandatory however.");
ta['pt-anonlogin'     ] = new Array('o',
                  "You are encouraged to log in, it is not mandatory however.");
ta['pt-logout'        ] = new Array('o', "Log out");
ta['ca-talk'          ] = new Array('t', "Discussion about the content page");
ta['ca-edit'          ] = new Array('e',
        "You can edit this page. Please use the preview button before saving.");
ta['ca-addsection'    ] = new Array('+', "Add a comment to this discussion.");
ta['ca-viewsource'    ] = new Array('e',
                            "This page is protected. You can view its source.");
ta['ca-history'       ] = new Array('h', "Past versions of this page.");
ta['ca-protect'       ] = new Array('=', "Protect this page");
ta['ca-delete'        ] = new Array('d', "Delete this page");
ta['ca-undelete'      ] = new Array('d',
                   "Restore the edits done to this page before it was deleted");
ta['ca-move'          ] = new Array('m', "Move this page");
ta['ca-watch'         ] = new Array('w', "Add this page to your watchlist");
ta['ca-unwatch'       ] = new Array('w',
                                        "Remove this page from your watchlist");
ta['search'           ] = new Array('f', "Search this wiki");
ta['p-logo'           ] = new Array('' , "Main Page");
ta['n-mainpage'       ] = new Array('z', "Visit the Main Page");
ta['n-portal'         ] = new Array('' ,
                    "About the project, what you can do, where to find things");
ta['n-currentevents'  ] = new Array('' ,
                               "Find background information on current events");
ta['n-recentchanges'  ] = new Array('r',
                                     "The list of recent changes in the wiki.");
ta['n-randompage'     ] = new Array('x', "Load a random page");
ta['n-help'           ] = new Array('' , "The place to find out.");
ta['n-sitesupport'    ] = new Array('' , "Support us");
ta['t-whatlinkshere'  ] = new Array('j',
                                       "List of all wiki pages that link here");
ta['t-recentchangeslinked'] = new Array('k',
                               "Recent changes in pages linked from this page");
ta['feed-rss'         ] = new Array('' , "RSS feed for this page");
ta['feed-atom'        ] = new Array('' , "Atom feed for this page");
ta['t-contributions'  ] = new Array('' ,
                                 "View the list of contributions of this user");
ta['t-emailuser'      ] = new Array('' , "Send a mail to this user");
ta['t-upload'         ] = new Array('u', "Upload images or media files");
ta['t-specialpages'   ] = new Array('q', "List of all special pages");
ta['ca-nstab-main'    ] = new Array('c', "View the content page");
ta['ca-nstab-user'    ] = new Array('c', "View the user page");
ta['ca-nstab-media'   ] = new Array('c', "View the media page");
ta['ca-nstab-special' ] = new Array('',
                    "This is a special page, you can't edit the page itself.");
ta['ca-nstab-wp'      ] = new Array('a', "View the project page");
ta['ca-nstab-image'   ] = new Array('c', "View the image page");
ta['ca-nstab-mediawiki']= new Array('c', "View the system message");
ta['ca-nstab-template'] = new Array('c', "View the template");
ta['ca-nstab-help'    ] = new Array('c', "View the help page");
ta['ca-nstab-category'] = new Array('c', "View the category page");
END_JS
      ,
	'treeview.css'	=>
		"/* CSS placed here will affect users of the Treeview skin */"
# Translators: remove the '/*' and '*/' comment delimiters below and substitute
# the relevant language code for 'en'.  The language code and the part of this
# file's name prior to the '.php' are equivalent, except that '-' characters in
# the language code should be replaced with '_' characters in the filename,
# and the initial character of the filename should be lowercase.
# i.e. if the language code to be substituted below for 'en' is 'Xy-zz' then
# this file should be named xy_zz.php.
)/*, 'en' */);

?>